function [ Fsv] = GeometricMean_StandingEtAl( t,w,Sw,Tic,b_deg,x,y,e )
%GEOMETRICMEAN_STANDINGETAL is based upon the formulation of the slowly-varying
%drift force as presented in ''Recent Developments in the Analysis of Wave 
%Drift Forces, Low-Frequency Damping and Response'' by R.G. Standing,
%W.J. Brendling and D. Wilson, British Maritime Technology

b_rad = (b_deg/360)*2*pi;
k = w.^2./9.81;
for i = 1:1:length(t)
    for j = 1:1:length(x)
    Aj = sqrt(2*Sw.*(w(2)-w(1)));
    thetaX = (k.*x(j)).*cos(b_rad);
    thetaY = (k.*y(j)).*sin(b_rad);
%    SUM1 = sum(Aj.*sign(Tic).*sqrt(abs(Tic)).*exp(sqrt(-1).*((w).*t(i)-e)));%cos(w.*t(i)-thetaX-thetaY+e));
%    SUM2 = sum(Aj.*sqrt(abs(Tic)).*exp(-sqrt(-1).*((w).*t(i)-e)));
    %%%%%Current
      SUM11 = sum(Aj.*sign(Tic).*sqrt(abs(Tic)).*cos((w).*t(i)-thetaX-thetaY+e));
      SUM22 = sum(Aj.*sqrt(abs(Tic)).*cos((w).*t(i)-thetaX-thetaY+e));
      SUM33 = sum(Aj.*sign(Tic).*sqrt(abs(Tic)).*sin((w).*t(i)-thetaX-thetaY+e));
      SUM44 = sum(Aj.*sqrt(abs(Tic)).*sin((w).*t(i)-thetaX-thetaY+e));
      Fsv(j,i) = SUM11*SUM22 + SUM33*SUM44;
   % Fsv(j,i) = real(SUM1*SUM2);%SUM1*SUM2 + SUM3*SUM4;
    end
end

end

