function [ Fi,PhaseRad ] = LinearTimeHistory( t,w,Sw,e,b_deg,FexcAmp,Phase,x,y )

b_rad = (b_deg/360)*2*pi;

%Converts the Phase from degrees to radians
PhaseRad = (Phase./360)*2*pi;

[m,n] = size(FexcAmp);

g = 9.81;
k = w.^2/g;
dw = w(2)-w(1);
for i = 1:1:m
for j = 1:1:length(t) % time
    for l = 1:1:length(x) % position
        A = sqrt(2.*Sw.*dw);% Wave amplitude
        thetaX = (k.*x(l)).*cos( b_rad);
        thetaY = (k.*y(l)).*sin( b_rad);
        F_dummy = A.*FexcAmp(i,:).*cos(w.*t(j)+PhaseRad(i,:)-thetaX-thetaY+e);

        Fi(l,j,i)   = sum(F_dummy);
    end
end
end

