function [Fi,ForceNumber] = ReadWadamForceFiles(beta)

% This function reads result files from Wadam. The limitation is that
% it is constructed to read files with dT = 0.25.

oldFolder = cd('LinearExcitation');
for i = 1:1:6
    string = ['F' num2str(i) '_15_to_30_' num2str(beta) 'deg_POSTRESP.LIS'];
    fid = fopen(string,'r');
    j = 1;
    while j < 66
        tline = fgetl(fid);
        j = j + 1;
    end
    
    Scan = textscan(fid,'%s %f %f %f %f %f %f %f\n');%fgetl(fid);
    ForceNumber(i,1) = Scan(1,1); 
    dummy = cell2mat(Scan(1,2:8));
    betaCheck(i,1) = dummy(1,1);
        if betaCheck(i,1)~= beta
            fprintf('Error reading result file for linear excitation force in dof %d. Missmach: beta = %d ~= %f = betaCheck.\n',i,beta,betaCheck(i,1));
            fclose('all');
            return;
        end
    Fi(1,:,i) = dummy(1,3:7);
    k = 2;
    while ~feof(fid)
        j = j + 1;
        if j == 104
            Scan = textscan(fid,'%s\n');
        else
            Scan = textscan(fid,'%f %f %f %f %f\n');
            dummy = cell2mat(Scan);
            if isempty(dummy) ~= 1
                Fi(k,:,i) = dummy;
                k = k + 1;
            end
        end   

    end
    fid = fclose(fid);
end

k_1_to_15 = k;

for i = 1:1:6
    k = k_1_to_15; 
    string = ['F' num2str(i) '_1_to_15_' num2str(beta) 'deg_POSTRESP.LIS'];
    fid = fopen(string,'r');
    j = 1;
    while j < 66
        tline = fgetl(fid);
        j = j + 1;
    end
    
    Scan = textscan(fid,'%s %f %f %f %f %f %f %f\n');
    ForceNumber(i,2) = Scan(1,1); 
    dummy = cell2mat(Scan(1,2:8));
    betaCheck(i,2) = dummy(1,1);
        if betaCheck(i,2)~= beta
            fprintf('Error reading result file for linear excitation force in dof %d. Missmach: beta = %d ~= %f = betaCheck.\n',i,beta,betaCheck(i,2));
            fclose('all');
            return;
        end
    Fi(k,:,i) = dummy(1,3:7);
    k = k + 1;
    while ~feof(fid)
        j = j + 1;
        if j == 104
            Scan = textscan(fid,'%s\n');
        else
            Scan = textscan(fid,'%f %f %f %f %f\n');
            dummy = cell2mat(Scan);
            if isempty(dummy) ~= 1
                Fi(k,:,i) = dummy;
                k = k + 1;
            end
        end   
    end
    fid = fclose(fid);
end
    fclose('all');
    cd(oldFolder);
end