function [Ti] = ReadWadamMeanDriftCoefficient(b)

% This function reads result files from Wadam. The limitation is that
% it is constructed to read files with dT = 0.25.

oldFolder = cd('MeanDriftCoefficient');
for i = 1:1:3
    if i == 3
        l = 6;
    else
        l = i;
    end
    string = ['DF' num2str(l) '_FF_15_to_30_' num2str(b) 'deg_POSTRESP.LIS'];
    fid = fopen(string,'r');
    j = 1;
    while j < 66
        tline = fgetl(fid);
        j = j + 1;
    end
    
    Scan = textscan(fid,'%s %f %f %f %f\n');%fgetl(fid);
    ForceNumber(i,1) = Scan(1,1); 
    dummy = cell2mat(Scan(1,2:5));
    betaCheck(i,1) = dummy(1,1);
        if betaCheck(i,1)~= b
            fprintf('Error reading result file for linear excitation force in dof %d. Missmach: beta = %d ~= %f = betaCheck.\n',i,b,betaCheck(i,1));
            fclose('all');
            return;
        end
    Ti(1,:,i) = dummy(1,3:4);
    k = 2;
    while ~feof(fid)
        j = j + 1;
        if j == 104
            Scan = textscan(fid,'%s\n');
        else
            Scan = textscan(fid,'%f %f\n');
            dummy = cell2mat(Scan);
            if isempty(dummy) ~= 1
                Ti(k,:,i) = dummy;
                k = k + 1;
            end
        end   

    end
    fid = fclose(fid);
end

k_1_to_15 = k; 
for i = 1:1:3
    k = k_1_to_15;
    if i == 3
        l = 6;
    else
        l = i;
    end
    string = ['DF' num2str(l) '_FF_1_to_15_' num2str(b) 'deg_POSTRESP.LIS'];
    fid = fopen(string,'r');
    j = 1;
    while j < 66
        tline = fgetl(fid);
        j = j + 1;
    end
    
    Scan = textscan(fid,'%s %f %f %f %f\n');%fgetl(fid);
    ForceNumber(i,1) = Scan(1,1); 
    dummy = cell2mat(Scan(1,2:5));
    betaCheck(i,1) = dummy(1,1);
        if betaCheck(i,1)~= b
            fprintf('Error reading result file for linear excitation force in dof %d. Missmach: beta = %d ~= %f = betaCheck.\n',i,b,betaCheck(i,1));
            fclose('all');
            return;
        end
    Ti(k,:,i) = dummy(1,3:4);
    while ~feof(fid)
        j = j + 1;
        if j == 104
            Scan = textscan(fid,'%s\n');
        else
            Scan = textscan(fid,'%f %f\n');
            dummy = cell2mat(Scan);
            if isempty(dummy) ~= 1
                Ti(k,:,i) = dummy;
                k = k + 1;
            end
        end   

    end
    fid = fclose(fid);
end

    %Ti = abs(Ti);
    fclose('all');
    cd(oldFolder);
end