clear all
close all
%% Input values
NumSeaStates = 1;%[5]
b = 0; %[0 315]Heading, this you should probably read from file
yWindSea = 3.3;
ySwellSea = 7;
sa = 0.07;
sb = 0.09;
T3h = 10800;
wmin = 0.21;% T = 30 sec , this value should not be chosen lower than the lowest value from the Wadam results
wmax = 5;%, T = 0.1 sec
Tp_WindSea = 6;
Hs_WindSea = 3;
Tp_SwellSea = 12;
Hs_SwellSea = 0.4;
startWave = 350;
t = linspace(startWave,T3h+startWave,T3h);

%i = 3;
for i = 1:1:NumSeaStates

    WaveHist = ['WaveHist_SecondOrderOnly_HE=' num2str(b) '_HS=' num2str(Hs_WindSea) '_TP=' num2str(Tp_WindSea) '_SE=' num2str(i) ];%'_WI=0.fem'];
%% JONSWAP specra
N = round(1/(2*pi)*(wmax - wmin)*T3h);
w = zeros(1,N);
for j = 1:1:N
    w(j) = wmin + (wmax - wmin)/N*(j-1);
end
Sw_WindSea = Jonswap(w,2*pi/Tp_WindSea,Hs_WindSea,yWindSea,sa,sb);
Sw_SwellSea = Jonswap(w,2*pi/Tp_SwellSea,Hs_SwellSea,ySwellSea,sa,sb);


Sw = Sw_WindSea + Sw_SwellSea;
%% Phase

   e = 2*pi*rand(1,length(w));
  RandomPhaseFile = ['RandomWavePhaseNo' num2str(5) '.dat'];
   fid3 = fopen(RandomPhaseFile,'w');
   for j = 1:1:length(e)
       fprintf(fid3,'%f\n',e(j));
   end

%% Bridge position
% [x,y] = xyPositionPontoons;
% xy_Pontoon = load('xy_PontoonPosition.dat');
% x = xy_Pontoon(:,1)';
% y = xy_Pontoon(:,2)';
x = 0;
y = 0;

%% Linear excitation force
[FexcData,ForceNumber] = ReadWadamForceFiles(b);
[NewFexcAmp,Phase] = InterpolatedLinearExcitation( w,FexcData);
[Fi,RadPh] = LinearTimeHistory(t,w,Sw,e,b,NewFexcAmp,Phase,x,y);
[F_max] = ShortTermForceExtreme( NewFexcAmp,Sw,w,Tp_SwellSea );%Tp_WindSea
%% Load mean drift force transfer function
[Tic] = ReadWadamMeanDriftCoefficient(b);
wTic = Tic(:,1,1);
Tic1 = Tic(:,2,1);
Tic2 = Tic(:,2,2);
Tic6 = Tic(:,2,3);

%% Slow drift force
[ NewTic1 ] = InterpolatedDriftTransferSurgeYaw( w,wTic,Tic1);%InterpolatedDriftTransferSway( w,wTic,Tic1);
[ NewTic2 ] = InterpolatedDriftTransferSurgeYaw( w,wTic,Tic2);
[ NewTic6 ] = InterpolatedDriftTransferSurgeYaw( w,wTic,Tic6);
[Fsv1] = ForcePontoonDifference(Sw,w,t,NewTic1,b,x,y,e);
[Fsv2] = GeometricMean_StandingEtAl(t,w,Sw,NewTic2,b,x,y,e);
[Fsv6] = GeometricMean_StandingEtAl(t,w,Sw,NewTic6,b,x,y,e);

%% Filter
 for j = 1:1:length(x)
 [FsvFiltered1(j,:),Tp] = bpass2(Fsv1(j,:)'  ,t(2)-t(1),0,1/50 ,0,0,'',0);
 %[FsvFiltered2(j,:),Tp] = bpass2(Fsv2(j,:)'  ,t(2)-t(1),0,1/50 ,0,0,'',0);
 %[FsvFiltered6(j,:),Tp] = bpass2(Fsv6(j,:)'  ,t(2)-t(1),0,1/50 ,0,0,'',0);
 end

%% Print to USFOS files
oldFolder = cd('USFOS_InputFiles');
%Print linear excitation force in all 6 dof
[m,n,o] = size(Fi);
p = 10;
WaveLoadHistory = ['WaveLoadHistory.fem'];
fID2 = fopen(WaveLoadHistory,'w');
for j = 1:1:m
fID1 = fopen(WaveHist,'w');
for k = 1:1:o
    fprintf(fID2,'LOADHIST \t %d \t %d ! "Linear waves, DOF %d, Pontoon %d"\n',p,p,k,j);
    fprintf(fID1,'''Linear Excitation force, DOF %d, Pontoon %d\n',k,j);
    fprintf(fID1,'''\t \t HistNo \t Points Time1\t Factor1\t Time2\t Factor2 ...\n');
    fprintf(fID1,'TIMEHIST\t %d\t Points\n',p);
    fprintf(fID1,'%f \t %f \n',0,0);
    fprintf(fID1,'%f \t %f \n',startWave-1,0);
    for l = 1:1:n
        %if k == 3
            fprintf(fID1,'%f \t %f \n',t(l),0);%Fi(j,l,k));
        %else
        %    fprintf(fID1,'%f \t %f \n',t(l),0);
        %end
    end
    fprintf(fID1,'\n\n');
    p = p + 1;
end

end

%Print slowly-varying forces in all horizontal dofs
[m,n] = size(Fsv1);
%p = 1000;
for j = 1:1:m
%LinearExcFile = ['DriftTimeHist' num2str(i) 'Pontoon' num2str(j) '.fem'];
%fID2 = fopen(LinearExcFile,'w');
fprintf(fID2,'LOADHIST \t 4 \t %d ! "Drift force, DOF 1, Pontoon %d"\n',p,j);
fprintf(fID1,'''Slowly-varying drift force, DOF 1, Pontoon %d\n',j);
fprintf(fID1,'''\t \t HistNo \t Points Time1\t Factor1\t Time2\t Factor2 ...\n');
fprintf(fID1,'TIMEHIST\t %d\t Points\n',p);
fprintf(fID1,'%f \t %f \n',0,0);
fprintf(fID1,'%f \t %f \n',startWave-1,0);
    for k = 1:1:n
        fprintf(fID1,'%f \t %f \n',t(k),FsvFiltered1(j,k));
    end
fprintf(fID1,'\n\n');
p = p + 1;

fprintf(fID2,'LOADHIST \t 5 \t %d ! "Drift force, DOF 2, Pontoon %d"\n',p,j);
fprintf(fID1,'''Slowly-varying drift force, DOF 2, Pontoon %d\n',j);
fprintf(fID1,'''\t \t HistNo \t Points Time1\t Factor1\t Time2\t Factor2 ...\n');
fprintf(fID1,'TIMEHIST\t  %d\t Points\n',p);
fprintf(fID1,'%f \t %f \n',0,0);
fprintf(fID1,'%f \t %f \n',startWave-1,0);
    for k = 1:1:n
        fprintf(fID1,'%f \t %f \n',t(k),0);%FsvFiltered2(j,k));
    end
fprintf(fID1,'\n\n');
p = p + 1;

fprintf(fID2,'LOADHIST \t 9 \t %d ! "Drift force, DOF 6, Pontoon %d"\n',p,j);
fprintf(fID1,'''Slowly-varying drift force, DOF 6, Pontoon %d\n',j);
fprintf(fID1,'''\t \t HistNo \t Points Time1\t Factor1\t Time2\t Factor2 ...\n');
fprintf(fID1,'TIMEHIST\t  %d\t Points\n',p);
fprintf(fID1,'%f \t %f \n',0,0);
fprintf(fID1,'%f \t %f \n',startWave-1,0);
    for k = 1:1:n
        fprintf(fID1,'%f \t %f \n',t(k),0);%FsvFiltered6(j,k));
    end
fprintf(fID1,'\n\n');
p = p + 1;
 end
 fID1 = fclose(fID1);
 fID2 = fclose(fID2);
 cd(oldFolder);
 end
